This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 832030 - [abrt] python-setuptools-0.6.24-2.fc17: setup.py:41:<module>:ImportError: No module named Cython.Distutils
[abrt] python-setuptools-0.6.24-2.fc17: setup.py:41:<module>:ImportError: No ...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: python-setuptools (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
abrt_hash:e65fcb4ec4981c2e5b172b6e7ab...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 06:58 EDT by aleallstarz
Modified: 2012-06-14 14:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 14:01:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.91 KB, text/plain)
2012-06-14 06:58 EDT, aleallstarz
no flags Details

  None (edit)
Description aleallstarz 2012-06-14 06:58:54 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/easy_install pymssql
executable:     /usr/bin/easy_install
kernel:         3.4.0-1.fc17.i686
time:           Thu 07 Jun 2012 03:39:42 PM CEST
uid:            0
username:       root

backtrace:      Text file, 9123 bytes
Comment 1 aleallstarz 2012-06-14 06:58:57 EDT
Created attachment 591805 [details]
File: backtrace
Comment 2 Toshio Ernie Kuratomi 2012-06-14 14:01:24 EDT
This is more of an architectural flaw with easy_install, pip, and setuptools packaging in general than a bug.  You could carry it upstream to distribute's issue tracker if you want but distribute and setuptools are not the future of upstream python packaging -- distutils2 is.  So it may or may not get worked on.

The workaround should be to install Cython (which provides the Cython.Distutils module).

 yum install Cython
 pip-python install --user pymssql

(You can substitute whatever your particular easy_install command is for pip-python and it should work ).

Note You need to log in before you can comment on or make changes to this bug.